Subject: bug#40384: 26.3; [Windows10] variable-pitch-mode is slow to redraw

From: "Gennady Uraltsev" <[email-masked]>
Date: Wed, 8 Apr 2020 11:30:22 -0400

Hello,

None of the suggested fixes have any impact. I just did a clean reinstall of
my OS (Windows 10 Enterprise 10.0.18363 Build 18363) and the issue is
present still. Should we try to investigate the issue? 

I have another PC on which I am going to be reinstalling windows soon. I
will check there and report back. (To see if it is hardware or software
related or a combination of the two...)

Best,

Gennady

On April 3, 2020 03:04:19 Eli Zaretskii <[email-masked]> wrote:

>> From: <[email-masked]>
>> Cc: <[email-masked]>
>> Date: Thu, 2 Apr 2020 18:29:07 -0400
>>
>> By default the font that gets used is
>>
>>           display: by this font (glyph code)
>>
>> uniscribe:-outline-Arial-normal-normal-normal-sans-20-*-*-*-p-*-iso8859-1
>> (#x03)
>
> That's the same font I get, but I see no slowdown.
>
> Thanks for the profile, it says that somehow redrawing even ASCII
> characters (if you indeed did that with the comment in *scratch*
> copied many times, as your recipe says) is somehow very expensive on
> your system.
>
> Does it help to customize inhibit-compacting-font-caches to non-nil?